#!/usr/local/bin/gnuplot -persist
set terminal postscript portrait color 11
set output 'domainValidation.ps'
set size .75,.35
set origin 0,0

set xlabel "State"
set ylabel "Accessibility"
set xrange [-.3:2.3]
set yrange [0:170]
set key right top
plot "1Y0Q-redpath-redres.dat" using 2:xtic(1) with linespoints title "Red Domain Residues" lt 1 lw 2 lc 1 pt 2, \
     "1Y0Q-greenpath-greenres.dat" using 2:xtic(1) with linespoints title "Green Domain Residues" lt 1 lw 2 lc 2 pt 3, \
     "1Y0Q-greenpath-NCres.dat" using 2:xtic(1) with linespoints title "Negative Control" lt 2 lw 1 lc -1 pt 4


