#
#
#

""" Recenter a trace by the first atom """
__author__ = "Magdalena A. Jonikas"
__version__ = "1.0"
__date__ = " 7/22/09 "

import sys
import simtk.nast.simplePdb as pdb

if __name__=='__main__':
    traceData = open(sys.argv[1])
    outFile = open(sys.argv[2], 'w')

    line = traceData.readline()
    frame=''
    count=0
    while line:
        frame+=line
        if line[0:3]=='END' or line[0:3]=='TER':
            if len(frame)<10:
                frame=''
                line=traceData.readline()
                continue
            if count!=9:
                count+=1
                frame=''
                line=traceData.readline()
                continue
            count=0
            currentPdb=pdb.SimplePdb(pdbString=frame)
            p0=currentPdb.getPositions()
            (x0,y0,z0)=p0[0]
            p=[]
            for i in range(len(p0)):
                (x,y,z)=p0[i]
                p.append( (x-x0,y-y0,z-z0) )
            currentPdb.setPositions(p)
            outFile.write(currentPdb.getPdb())
            outFile.write('END\n')
            frame=''
        line=traceData.readline()
    outFile.close()

