#
#
#

""" Calculate the percent protection """
__author__ = "Magdalena A. Jonikas"
__version__ = "1.0"
__date__ = " 3/5/09 "

import sys

if __name__=='__main__':
    dataIn = open(sys.argv[1]).readlines()
    dataOut = open('%s-per.txt' % sys.argv[1][:-4], 'w')

    for line in dataIn:
        cols = line.split()
        n = int(cols[0])
        f = float(cols[1])
        u1 = float(cols[2])
        u2 = float(cols[3])
        per1 = 1.0-(f/u1)
        per2 = 1.0-(f/u2)
        dataOut.write('%i %.4f %.4f\n' % (n, per1, per2))
    dataOut.close()
